"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.suggestNewPlugin = exports.ElementsInspector = exports.Dialog = exports.TimelineDataDescription = exports.DataInspector = exports.MarkerTimeline = exports.DataDescription = exports.useHighlighter = exports.HighlightProvider = exports.HighlightContext = exports.FileSelector = exports.useLocalStorageState = exports.Tab = exports.Tabs = exports.Panel = exports._Interactive = exports.Spinner = exports.DataList = exports.dataTablePowerSearchOperators = exports.DataTableLegacy = exports._DataTableWithPowerSearch = exports.DataTable = exports._LoggerContext = exports.useLogger = exports.DataFormatter = exports._wrapInteractionHandler = exports.useTrackedCallback = exports.withTrackingScope = exports._setGlobalInteractionReporter = exports.TrackingScope = exports.Tracked = exports._PortalsManager = exports.renderReactRoot = exports.CodeBlock = exports.MasterDetailLegacy = exports._MasterDetailWithPowerSearch = exports.MasterDetail = exports.Toolbar = exports.DetailSidebar = exports._Sidebar = exports._createNuxManager = exports._NuxManagerContext = exports.NUX = exports.Layout = exports.theme = exports.usePlugin = exports._SandyPluginContext = exports._SandyPluginRenderer = exports.useValue = exports.styled = void 0;
exports.InternGraphServerError = exports.tryCatchReportPluginFailuresAsync = exports.tryCatchReportPluginFailures = exports.reportPluginFailures = exports.uuid = exports.createControlledPromise = exports.timeout = exports.sleep = exports._stubLogger = exports.safeStringify = exports.path = exports._deserializeShallowObject = exports._makeShallowSerializable = exports._buildInMenuEntries = exports._tryGetFlipperLibImplementation = exports._setFlipperLibImplementation = exports.getFlipperLib = exports.batch = exports.batched = exports._AtomValue = exports.isAtom = exports.createState = exports.createDataSource = exports._DataSourceView = exports.DataSource = exports._SandyPluginDefinition = exports._SandyDevicePluginInstance = exports._SandyPluginInstance = exports.produce = exports.TestUtils = exports.textContent = exports.createTablePlugin = exports.useMemoize = void 0;
const styled_1 = __importDefault(require("@emotion/styled"));
exports.styled = styled_1.default;
var atom_1 = require("./state/atom");
Object.defineProperty(exports, "useValue", { enumerable: true, get: function () { return atom_1.useValue; } });
const TestUtilites = __importStar(require("./test-utils/test-utils"));
var PluginRenderer_1 = require("./plugin/PluginRenderer");
Object.defineProperty(exports, "_SandyPluginRenderer", { enumerable: true, get: function () { return PluginRenderer_1.SandyPluginRenderer; } });
var PluginContext_1 = require("./plugin/PluginContext");
Object.defineProperty(exports, "_SandyPluginContext", { enumerable: true, get: function () { return PluginContext_1.SandyPluginContext; } });
Object.defineProperty(exports, "usePlugin", { enumerable: true, get: function () { return PluginContext_1.usePlugin; } });
var theme_1 = require("./ui/theme");
Object.defineProperty(exports, "theme", { enumerable: true, get: function () { return theme_1.theme; } });
var Layout_1 = require("./ui/Layout");
Object.defineProperty(exports, "Layout", { enumerable: true, get: function () { return Layout_1.Layout; } });
var NUX_1 = require("./ui/NUX");
Object.defineProperty(exports, "NUX", { enumerable: true, get: function () { return NUX_1.NUX; } });
Object.defineProperty(exports, "_NuxManagerContext", { enumerable: true, get: function () { return NUX_1.NuxManagerContext; } });
Object.defineProperty(exports, "_createNuxManager", { enumerable: true, get: function () { return NUX_1.createNuxManager; } });
var Sidebar_1 = require("./ui/Sidebar");
Object.defineProperty(exports, "_Sidebar", { enumerable: true, get: function () { return Sidebar_1.Sidebar; } });
var DetailSidebar_1 = require("./ui/DetailSidebar");
Object.defineProperty(exports, "DetailSidebar", { enumerable: true, get: function () { return DetailSidebar_1.DetailSidebar; } });
var Toolbar_1 = require("./ui/Toolbar");
Object.defineProperty(exports, "Toolbar", { enumerable: true, get: function () { return Toolbar_1.Toolbar; } });
var MasterDetailWithPowerSearch_1 = require("./ui/MasterDetailWithPowerSearch");
Object.defineProperty(exports, "MasterDetail", { enumerable: true, get: function () { return MasterDetailWithPowerSearch_1.MasterDetailWithPowerSearch; } });
var MasterDetailWithPowerSearch_2 = require("./ui/MasterDetailWithPowerSearch");
Object.defineProperty(exports, "_MasterDetailWithPowerSearch", { enumerable: true, get: function () { return MasterDetailWithPowerSearch_2.MasterDetailWithPowerSearch; } });
var MasterDetail_1 = require("./ui/MasterDetail");
Object.defineProperty(exports, "MasterDetailLegacy", { enumerable: true, get: function () { return MasterDetail_1.MasterDetail; } });
var CodeBlock_1 = require("./ui/CodeBlock");
Object.defineProperty(exports, "CodeBlock", { enumerable: true, get: function () { return CodeBlock_1.CodeBlock; } });
var renderReactRoot_1 = require("./utils/renderReactRoot");
Object.defineProperty(exports, "renderReactRoot", { enumerable: true, get: function () { return renderReactRoot_1.renderReactRoot; } });
Object.defineProperty(exports, "_PortalsManager", { enumerable: true, get: function () { return renderReactRoot_1._PortalsManager; } });
var Tracked_1 = require("./ui/Tracked");
Object.defineProperty(exports, "Tracked", { enumerable: true, get: function () { return Tracked_1.Tracked; } });
Object.defineProperty(exports, "TrackingScope", { enumerable: true, get: function () { return Tracked_1.TrackingScope; } });
Object.defineProperty(exports, "_setGlobalInteractionReporter", { enumerable: true, get: function () { return Tracked_1.setGlobalInteractionReporter; } });
Object.defineProperty(exports, "withTrackingScope", { enumerable: true, get: function () { return Tracked_1.withTrackingScope; } });
Object.defineProperty(exports, "useTrackedCallback", { enumerable: true, get: function () { return Tracked_1.useTrackedCallback; } });
Object.defineProperty(exports, "_wrapInteractionHandler", { enumerable: true, get: function () { return Tracked_1.wrapInteractionHandler; } });
var DataFormatter_1 = require("./ui/DataFormatter");
Object.defineProperty(exports, "DataFormatter", { enumerable: true, get: function () { return DataFormatter_1.DataFormatter; } });
var useLogger_1 = require("./utils/useLogger");
Object.defineProperty(exports, "useLogger", { enumerable: true, get: function () { return useLogger_1.useLogger; } });
Object.defineProperty(exports, "_LoggerContext", { enumerable: true, get: function () { return useLogger_1._LoggerContext; } });
var DataTableWithPowerSearch_1 = require("./ui/data-table/DataTableWithPowerSearch");
Object.defineProperty(exports, "DataTable", { enumerable: true, get: function () { return DataTableWithPowerSearch_1.DataTable; } });
var DataTableWithPowerSearch_2 = require("./ui/data-table/DataTableWithPowerSearch");
Object.defineProperty(exports, "_DataTableWithPowerSearch", { enumerable: true, get: function () { return DataTableWithPowerSearch_2.DataTable; } });
var DataTable_1 = require("./ui/data-table/DataTable");
Object.defineProperty(exports, "DataTableLegacy", { enumerable: true, get: function () { return DataTable_1.DataTable; } });
var DataTableDefaultPowerSearchOperators_1 = require("./ui/data-table/DataTableDefaultPowerSearchOperators");
Object.defineProperty(exports, "dataTablePowerSearchOperators", { enumerable: true, get: function () { return DataTableDefaultPowerSearchOperators_1.dataTablePowerSearchOperators; } });
var DataList_1 = require("./ui/DataList");
Object.defineProperty(exports, "DataList", { enumerable: true, get: function () { return DataList_1.DataList; } });
var Spinner_1 = require("./ui/Spinner");
Object.defineProperty(exports, "Spinner", { enumerable: true, get: function () { return Spinner_1.Spinner; } });
__exportStar(require("./ui/PowerSearch"), exports);
var Interactive_1 = require("./ui/Interactive");
Object.defineProperty(exports, "_Interactive", { enumerable: true, get: function () { return Interactive_1.Interactive; } });
var Panel_1 = require("./ui/Panel");
Object.defineProperty(exports, "Panel", { enumerable: true, get: function () { return Panel_1.Panel; } });
var Tabs_1 = require("./ui/Tabs");
Object.defineProperty(exports, "Tabs", { enumerable: true, get: function () { return Tabs_1.Tabs; } });
Object.defineProperty(exports, "Tab", { enumerable: true, get: function () { return Tabs_1.Tab; } });
var useLocalStorageState_1 = require("./utils/useLocalStorageState");
Object.defineProperty(exports, "useLocalStorageState", { enumerable: true, get: function () { return useLocalStorageState_1.useLocalStorageState; } });
var FileSelector_1 = require("./ui/FileSelector");
Object.defineProperty(exports, "FileSelector", { enumerable: true, get: function () { return FileSelector_1.FileSelector; } });
var Highlight_1 = require("./ui/Highlight");
Object.defineProperty(exports, "HighlightContext", { enumerable: true, get: function () { return Highlight_1.HighlightContext; } });
Object.defineProperty(exports, "HighlightProvider", { enumerable: true, get: function () { return Highlight_1.HighlightProvider; } });
Object.defineProperty(exports, "useHighlighter", { enumerable: true, get: function () { return Highlight_1.useHighlighter; } });
var DataDescription_1 = require("./ui/data-inspector/DataDescription");
Object.defineProperty(exports, "DataDescription", { enumerable: true, get: function () { return DataDescription_1.DataDescription; } });
var MarkerTimeline_1 = require("./ui/MarkerTimeline");
Object.defineProperty(exports, "MarkerTimeline", { enumerable: true, get: function () { return MarkerTimeline_1.MarkerTimeline; } });
var DataInspector_1 = require("./ui/data-inspector/DataInspector");
Object.defineProperty(exports, "DataInspector", { enumerable: true, get: function () { return DataInspector_1.DataInspector; } });
var TimelineDataDescription_1 = require("./ui/data-inspector/TimelineDataDescription");
Object.defineProperty(exports, "TimelineDataDescription", { enumerable: true, get: function () { return TimelineDataDescription_1.TimelineDataDescription; } });
var Dialog_1 = require("./ui/Dialog");
Object.defineProperty(exports, "Dialog", { enumerable: true, get: function () { return Dialog_1.Dialog; } });
var ElementsInspector_1 = require("./ui/elements-inspector/ElementsInspector");
Object.defineProperty(exports, "ElementsInspector", { enumerable: true, get: function () { return ElementsInspector_1.ElementsInspector; } });
var SuggestNewPlugin_1 = require("./ui/SuggestNewPlugin");
Object.defineProperty(exports, "suggestNewPlugin", { enumerable: true, get: function () { return SuggestNewPlugin_1.suggestNewPlugin; } });
var useMemoize_1 = require("./utils/useMemoize");
Object.defineProperty(exports, "useMemoize", { enumerable: true, get: function () { return useMemoize_1.useMemoize; } });
var createTablePlugin_1 = require("./utils/createTablePlugin");
Object.defineProperty(exports, "createTablePlugin", { enumerable: true, get: function () { return createTablePlugin_1.createTablePlugin; } });
var textContent_1 = require("./utils/textContent");
Object.defineProperty(exports, "textContent", { enumerable: true, get: function () { return textContent_1.textContent; } });
// It's not ideal that this exists in flipper-plugin sources directly,
// but is the least pain for plugin authors.
// Probably we should make sure that testing-library doesn't end up in our final Flipper bundle (which packages flipper-plugin)
// T69106962
exports.TestUtils = TestUtilites;
var immer_1 = require("immer");
Object.defineProperty(exports, "produce", { enumerable: true, get: function () { return immer_1.produce; } });
var Plugin_1 = require("./plugin/Plugin");
Object.defineProperty(exports, "_SandyPluginInstance", { enumerable: true, get: function () { return Plugin_1.SandyPluginInstance; } });
var DevicePlugin_1 = require("./plugin/DevicePlugin");
Object.defineProperty(exports, "_SandyDevicePluginInstance", { enumerable: true, get: function () { return DevicePlugin_1.SandyDevicePluginInstance; } });
var SandyPluginDefinition_1 = require("./plugin/SandyPluginDefinition");
Object.defineProperty(exports, "_SandyPluginDefinition", { enumerable: true, get: function () { return SandyPluginDefinition_1.SandyPluginDefinition; } });
var DataSource_1 = require("./data-source/DataSource");
Object.defineProperty(exports, "DataSource", { enumerable: true, get: function () { return DataSource_1.DataSource; } });
Object.defineProperty(exports, "_DataSourceView", { enumerable: true, get: function () { return DataSource_1.DataSourceView; } });
var createDataSource_1 = require("./state/createDataSource");
Object.defineProperty(exports, "createDataSource", { enumerable: true, get: function () { return createDataSource_1.createDataSource; } });
var atom_2 = require("./state/atom");
Object.defineProperty(exports, "createState", { enumerable: true, get: function () { return atom_2.createState; } });
Object.defineProperty(exports, "isAtom", { enumerable: true, get: function () { return atom_2.isAtom; } });
Object.defineProperty(exports, "_AtomValue", { enumerable: true, get: function () { return atom_2.AtomValue; } });
var batch_1 = require("./state/batch");
Object.defineProperty(exports, "batched", { enumerable: true, get: function () { return batch_1.batched; } });
Object.defineProperty(exports, "batch", { enumerable: true, get: function () { return batch_1.batch; } });
var FlipperLib_1 = require("./plugin/FlipperLib");
Object.defineProperty(exports, "getFlipperLib", { enumerable: true, get: function () { return FlipperLib_1.getFlipperLib; } });
Object.defineProperty(exports, "_setFlipperLibImplementation", { enumerable: true, get: function () { return FlipperLib_1.setFlipperLibImplementation; } });
Object.defineProperty(exports, "_tryGetFlipperLibImplementation", { enumerable: true, get: function () { return FlipperLib_1.tryGetFlipperLibImplementation; } });
var MenuEntry_1 = require("./plugin/MenuEntry");
Object.defineProperty(exports, "_buildInMenuEntries", { enumerable: true, get: function () { return MenuEntry_1.buildInMenuEntries; } });
var shallowSerialization_1 = require("./utils/shallowSerialization");
Object.defineProperty(exports, "_makeShallowSerializable", { enumerable: true, get: function () { return shallowSerialization_1.makeShallowSerializable; } });
Object.defineProperty(exports, "_deserializeShallowObject", { enumerable: true, get: function () { return shallowSerialization_1.deserializeShallowObject; } });
const path = __importStar(require("./utils/path"));
exports.path = path;
var safeStringify_1 = require("./utils/safeStringify");
Object.defineProperty(exports, "safeStringify", { enumerable: true, get: function () { return safeStringify_1.safeStringify; } });
var Logger_1 = require("./utils/Logger");
Object.defineProperty(exports, "_stubLogger", { enumerable: true, get: function () { return Logger_1.stubLogger; } });
var flipper_common_1 = require("flipper-common");
Object.defineProperty(exports, "sleep", { enumerable: true, get: function () { return flipper_common_1.sleep; } });
Object.defineProperty(exports, "timeout", { enumerable: true, get: function () { return flipper_common_1.timeout; } });
Object.defineProperty(exports, "createControlledPromise", { enumerable: true, get: function () { return flipper_common_1.createControlledPromise; } });
Object.defineProperty(exports, "uuid", { enumerable: true, get: function () { return flipper_common_1.uuid; } });
Object.defineProperty(exports, "reportPluginFailures", { enumerable: true, get: function () { return flipper_common_1.reportPluginFailures; } });
Object.defineProperty(exports, "tryCatchReportPluginFailures", { enumerable: true, get: function () { return flipper_common_1.tryCatchReportPluginFailures; } });
Object.defineProperty(exports, "tryCatchReportPluginFailuresAsync", { enumerable: true, get: function () { return flipper_common_1.tryCatchReportPluginFailuresAsync; } });
Object.defineProperty(exports, "InternGraphServerError", { enumerable: true, get: function () { return flipper_common_1.InternGraphServerError; } });
//# sourceMappingURL=index.js.map