"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SandyDevicePluginInstance = void 0;
const PluginBase_1 = require("./PluginBase");
class SandyDevicePluginInstance extends PluginBase_1.BasePluginInstance {
    static is(thing) {
        return thing instanceof SandyDevicePluginInstance;
    }
    constructor(serverAddOnControls, flipperLib, definition, device, pluginKey, initialStates) {
        super(serverAddOnControls, flipperLib, definition, device, pluginKey, initialStates);
        this.client = {
            ...this.createBasePluginClient(),
            selectPlugin(pluginId, deeplink) {
                flipperLib.selectPlugin(device, null, pluginId, deeplink);
            },
            get isConnected() {
                return device.connected.get();
            },
            connected: device.connected,
        };
        this.initializePlugin(() => definition.asDevicePluginModule().devicePlugin(this.client));
        // Do not start server add-ons for archived devices
        if (this.device.connected.get()) {
            this.startServerAddOn();
        }
    }
    toJSON() {
        return '[SandyDevicePluginInstance]';
    }
    destroy() {
        this.stopServerAddOn();
        super.destroy();
    }
    get serverAddOnOwner() {
        return this.device.serial;
    }
}
exports.SandyDevicePluginInstance = SandyDevicePluginInstance;
//# sourceMappingURL=DevicePlugin.js.map