/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
export type MenuEntry = BuiltInMenuEntry | CustomMenuEntry;
export type DefaultKeyboardAction = keyof typeof buildInMenuEntries;
export type NormalizedMenuEntry = {
    label: string;
    accelerator?: string;
    handler: () => void;
    action: string;
};
export type CustomMenuEntry = {
    label: string;
    accelerator?: string;
    handler: () => void;
};
export type BuiltInMenuEntry = {
    action: keyof typeof buildInMenuEntries;
    handler: () => void;
};
export declare const buildInMenuEntries: {
    readonly clear: {
        readonly label: "Clear";
        readonly accelerator: "CmdOrCtrl+K";
        readonly action: "clear";
    };
    readonly goToBottom: {
        readonly label: "Go To Bottom";
        readonly accelerator: "CmdOrCtrl+B";
        readonly action: "goToBottom";
    };
    readonly createPaste: {
        readonly label: "Create Paste";
        readonly action: "createPaste";
    };
};
export declare function normalizeMenuEntry(entry: MenuEntry): NormalizedMenuEntry;
//# sourceMappingURL=MenuEntry.d.ts.map