/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
/// <reference types="react" />
import { DevicePluginFactory, SandyDevicePluginInstance } from './DevicePlugin';
import { PluginFactory, SandyPluginInstance } from './Plugin';
export declare const SandyPluginContext: import("react").Context<SandyDevicePluginInstance | SandyPluginInstance | undefined>;
export declare function usePluginInstance(): SandyPluginInstance | SandyDevicePluginInstance;
export declare function usePluginInstanceMaybe(): SandyPluginInstance | SandyDevicePluginInstance | undefined;
export declare function usePlugin<Factory extends PluginFactory<any, any, any, any> | DevicePluginFactory>(plugin: Factory): ReturnType<Factory>;
//# sourceMappingURL=PluginContext.d.ts.map