"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SandyPluginRenderer = void 0;
const react_1 = __importStar(require("react"));
const PluginContext_1 = require("./PluginContext");
const Tracked_1 = require("../ui/Tracked");
const PluginBase_1 = require("./PluginBase");
/**
 * Component to render a Sandy plugin container
 */
exports.SandyPluginRenderer = (0, react_1.memo)(({ plugin }) => {
    if (!plugin || !(plugin instanceof PluginBase_1.BasePluginInstance)) {
        throw new Error(`Expected plugin, got ${plugin}`);
    }
    (0, react_1.useEffect)(() => {
        const style = document.createElement('style');
        if (plugin.definition.css) {
            style.innerText = plugin.definition.css;
            document.head.appendChild(style);
        }
        plugin.activate();
        return () => {
            plugin.deactivate();
            if (plugin.definition.css) {
                document.head.removeChild(style);
            }
        };
    }, [plugin]);
    return (react_1.default.createElement(Tracked_1.TrackingScope, { scope: `plugin:${plugin.definition.id}` },
        react_1.default.createElement(PluginContext_1.SandyPluginContext.Provider, { value: plugin }, (0, react_1.createElement)(plugin.definition.module.Component, {
            key: plugin.instanceId,
        }))));
});
//# sourceMappingURL=PluginRenderer.js.map