"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDataSource = void 0;
const DataSource_1 = require("../data-source/DataSource");
const PluginBase_1 = require("../plugin/PluginBase");
function createDataSource(initialSet = [], options) {
    const ds = options
        ? (0, DataSource_1.createDataSource)(initialSet, options)
        : (0, DataSource_1.createDataSource)(initialSet);
    (0, PluginBase_1.registerStorageAtom)(options?.persist, ds);
    return ds;
}
exports.createDataSource = createDataSource;
//# sourceMappingURL=createDataSource.js.map