"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeBlock = void 0;
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const styled_1 = __importDefault(require("@emotion/styled"));
function CodeBlock({ children, ...props }) {
    return (react_1.default.createElement(StyledParagrah, { ...props },
        react_1.default.createElement("pre", null, children)));
}
exports.CodeBlock = CodeBlock;
const StyledParagrah = (0, styled_1.default)(antd_1.Typography.Paragraph)({
    padding: 0,
    fontSize: '9pt',
    '&.ant-typography': {
        margin: 0,
    },
    '& pre': {
        margin: 0,
        border: 'none',
        background: 'none',
    },
});
//# sourceMappingURL=CodeBlock.js.map