/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
import { PaddingProps, Spacing } from './theme';
export declare const Container: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
} & {
    children?: React.ReactNode;
    className?: string | undefined;
    style?: React.CSSProperties | undefined;
    borderBottom?: boolean | undefined;
    borderTop?: boolean | undefined;
    borderRight?: boolean | undefined;
    borderLeft?: boolean | undefined;
    bordered?: boolean | undefined;
    rounded?: boolean | undefined;
    width?: number | undefined;
    height?: number | undefined;
    grow?: boolean | undefined;
    shrink?: boolean | undefined;
    /**
     * Gab between individual items
     */
    gap?: Spacing;
    /**
     * If set, items will be aligned in the center, if false (the default) items will be stretched.
     */
    center?: boolean | undefined;
} & PaddingProps, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
//# sourceMappingURL=Container.d.ts.map