"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetailSidebar = void 0;
const react_1 = __importDefault(require("react"));
const FlipperLib_1 = require("../plugin/FlipperLib");
const Layout_1 = require("./Layout");
/* eslint-disable react-hooks/rules-of-hooks */
function DetailSidebar(props) {
    const lib = (0, FlipperLib_1.tryGetFlipperLibImplementation)();
    if (lib?.DetailsSidebarImplementation) {
        return react_1.default.createElement(lib.DetailsSidebarImplementation, { ...props });
    }
    return react_1.default.createElement(Layout_1.Layout.Container, null, props.children);
}
exports.DetailSidebar = DetailSidebar;
//# sourceMappingURL=DetailSidebar.js.map