/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { CSSProperties } from 'react';
import { FileDescriptor, FileEncoding } from '../plugin/FlipperLib';
export type FileSelectorProps = {
    /**
     * Placeholder text displayed in the Input when it is empty
     */
    label: string;
    /**
     * List of allowed file extentions
     */
    extensions?: string[];
    required?: boolean;
    className?: string;
    style?: CSSProperties;
    /**
     * Imported file encoding. Default: UTF-8.
     */
    encoding?: FileEncoding;
} & ({
    multi?: false;
    onChange: (newFile?: FileDescriptor) => void;
} | {
    multi: true;
    onChange: (newFiles: FileDescriptor[]) => void;
});
export declare function FileSelector({ onChange, label, extensions, required, className, style, encoding, multi, }: FileSelectorProps): JSX.Element;
//# sourceMappingURL=FileSelector.d.ts.map