/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
export interface HighlightManager {
    setFilter(text: string | undefined): void;
    render(text: string): React.ReactNode;
    setHighlightColor(color: string | undefined): void;
}
export declare const HighlightContext: React.Context<HighlightManager>;
export declare function HighlightProvider({ text, highlightColor, children, }: {
    text: string | undefined;
    highlightColor?: string | undefined;
    children: React.ReactElement;
}): JSX.Element;
export declare function useHighlighter(): HighlightManager;
//# sourceMappingURL=Highlight.d.ts.map