/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { Component } from 'react';
type DataPoint = {
    time: number;
    color?: string;
    label: string;
    key: string;
};
type Props = {
    onClick?: (keys: Array<string>) => void;
    selected?: string | null | undefined;
    points: DataPoint[];
    lineHeight: number;
    maxGap: number;
};
type TimePoint = {
    timestamp: number;
    markerNames: Array<string>;
    markerKeys: Array<string>;
    isCut: boolean;
    positionY: number;
    color: string;
};
type State = {
    timePoints: Array<TimePoint>;
};
export declare class MarkerTimeline extends Component<Props, State> {
    static defaultProps: {
        lineHeight: number;
        maxGap: number;
    };
    static getDerivedStateFromProps(props: Props): {
        timePoints: TimePoint[];
    };
    state: State;
    render(): JSX.Element | null;
}
export {};
//# sourceMappingURL=MarkerTimeline.d.ts.map