/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
import type { TooltipPlacement } from 'antd/lib/tooltip';
import { SandyDevicePluginInstance } from '../plugin/DevicePlugin';
import { SandyPluginInstance } from '../plugin/Plugin';
export declare function getNuxKey(elem: React.ReactNode, currentPlugin?: SandyPluginInstance | SandyDevicePluginInstance): Promise<string>;
export declare function createNuxManager(): {
    markRead(elem: React.ReactNode, currentPlugin?: SandyPluginInstance | SandyDevicePluginInstance): Promise<void>;
    isRead(elem: React.ReactNode, currentPlugin?: SandyPluginInstance | SandyDevicePluginInstance): Promise<boolean>;
    resetHints(): void;
    ticker: import("../state/atom").Atom<number>;
};
export declare const NuxManagerContext: React.Context<{
    markRead(elem: React.ReactNode, currentPlugin?: SandyPluginInstance | SandyDevicePluginInstance): Promise<void>;
    isRead(elem: React.ReactNode, currentPlugin?: SandyPluginInstance | SandyDevicePluginInstance): Promise<boolean>;
    resetHints(): void;
    ticker: import("../state/atom").Atom<number>;
}>;
/**
 * Creates a New-User-eXperience element; a lightbulb that will show the user new features
 */
export declare function NUX({ children, title, placement, }: {
    children: React.ReactNode;
    title: string;
    placement?: TooltipPlacement;
}): JSX.Element;
//# sourceMappingURL=NUX.d.ts.map