/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import * as React from 'react';
import { Spacing } from './theme';
export declare const Panel: React.FC<{
    title: string;
    /**
     * Whether the panel can be collapsed. Defaults to true
     */
    collapsible?: boolean;
    /**
     * Initial state for panel if it is collapsable
     */
    collapsed?: boolean;
    pad?: Spacing;
    gap?: Spacing;
    stickyHeader?: boolean;
    extraActions?: React.ReactElement | null;
    className?: string;
}>;
//# sourceMappingURL=Panel.d.ts.map