"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerSearchContainer = void 0;
const React = __importStar(require("react"));
const css_1 = require("@emotion/css");
const theme_1 = require("../theme");
const containerStyle = (0, css_1.css) `
  flex-grow: 1;
  background-color: ${theme_1.theme.backgroundDefault};
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  border-radius: ${theme_1.theme.borderRadius};
  border: 1px solid ${theme_1.theme.borderColor};
  transition: all 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
  padding: ${theme_1.theme.space.tiny / 2}px;
  min-height: 34px;
  &:focus-within,
  &:hover {
    border-color: ${theme_1.theme.primaryColor};
    box-shadow: 0 0 0 2px rgba(114, 46, 209, 0.2);
  }
`;
const PowerSearchContainer = ({ children }) => {
    return React.createElement("div", { className: containerStyle }, children);
};
exports.PowerSearchContainer = PowerSearchContainer;
//# sourceMappingURL=PowerSearchContainer.js.map