/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import * as React from 'react';
import { OperatorConfig } from './PowerSearchConfig';
export type IncompleteSearchExpressionTerm = {
    field: {
        key: string;
        label: string;
        useWholeRow?: boolean;
    };
    operator: OperatorConfig;
    searchValue?: any;
};
export type SearchExpressionTerm = Required<IncompleteSearchExpressionTerm>;
type PowerSearchTermProps = {
    searchTerm: IncompleteSearchExpressionTerm;
    onCancel: () => void;
    onFinalize: (completeSearchTerm: SearchExpressionTerm) => void;
};
export declare const PowerSearchTerm: React.FC<PowerSearchTermProps>;
export {};
//# sourceMappingURL=PowerSearchTerm.d.ts.map