/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import * as React from 'react';
export type PowerSearchTermFinderOption = {
    label: string;
    value: string;
};
export type PowerSearchTermFinderOptionGroup = {
    label: string;
    options: PowerSearchTermFinderOption[];
    value: string;
};
export type PowerSearchTermFinderRef = {
    focus: () => void;
    blur: () => void;
};
type PowerSearchTermFinderProps = {
    options: PowerSearchTermFinderOptionGroup[];
    onSelect: (selectedOption: PowerSearchTermFinderOption) => void;
    onBackspacePressWhileEmpty: () => void;
    onConfirmUnknownOption?: (searchString: string) => void;
};
export declare const PowerSearchTermFinder: React.ForwardRefExoticComponent<PowerSearchTermFinderProps & React.RefAttributes<PowerSearchTermFinderRef>>;
export {};
//# sourceMappingURL=PowerSearchTermFinder.d.ts.map