"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerSearchTermFinder = void 0;
const antd_1 = require("antd");
const React = __importStar(require("react"));
exports.PowerSearchTermFinder = React.forwardRef(({ options, onSelect, onBackspacePressWhileEmpty, onConfirmUnknownOption }, ref) => {
    const [searchTermFinderValue, setSearchTermFinderValue] = React.useState(null);
    return (React.createElement(antd_1.AutoComplete, { ref: ref, style: { flex: '1', minWidth: 200 }, options: options, bordered: false, onSelect: (_, selectedOption) => {
            onSelect(selectedOption);
            setSearchTermFinderValue(null);
        }, filterOption: (inputValue, option) => {
            return !!option?.label
                .toLowerCase()
                .includes(inputValue.toLowerCase());
        }, value: searchTermFinderValue, onChange: setSearchTermFinderValue, onBlur: () => {
            setSearchTermFinderValue(null);
        } },
        React.createElement(antd_1.Input, { size: "small", bordered: false, onKeyUp: (event) => {
                if (event.key === 'Enter') {
                    if (searchTermFinderValue && onConfirmUnknownOption) {
                        onConfirmUnknownOption(searchTermFinderValue);
                    }
                    setSearchTermFinderValue(null);
                }
                if (event.key === 'Backspace' && !searchTermFinderValue) {
                    onBackspacePressWhileEmpty();
                }
            }, onPasteCapture: (event) => {
                const text = event.clipboardData.getData('text/plain');
                if (text && onConfirmUnknownOption) {
                    event.stopPropagation();
                    event.preventDefault();
                    onConfirmUnknownOption(text);
                    setSearchTermFinderValue(null);
                }
            } })));
});
//# sourceMappingURL=PowerSearchTermFinder.js.map