/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import * as React from 'react';
import { PowerSearchConfig, FieldConfig, OperatorConfig, EnumLabels } from './PowerSearchConfig';
import { SearchExpressionTerm } from './PowerSearchTerm';
export { PowerSearchConfig, EnumLabels, OperatorConfig, FieldConfig, SearchExpressionTerm, };
type PowerSearchProps = {
    config: PowerSearchConfig;
    searchExpression?: SearchExpressionTerm[];
    initialSearchExpression?: SearchExpressionTerm[];
    onSearchExpressionChange: (searchExpression: SearchExpressionTerm[]) => void;
    onConfirmUnknownOption?: (searchString: string) => SearchExpressionTerm | undefined;
};
export declare const PowerSearch: React.FC<PowerSearchProps>;
//# sourceMappingURL=index.d.ts.map