"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toolbar = void 0;
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("@emotion/styled"));
const Layout_1 = require("./Layout");
const theme_1 = require("./theme");
const SandyToolbarContainer = (0, styled_1.default)(Layout_1.Layout.Horizontal)(({ wash }) => ({
    flexWrap: 'wrap',
    padding: theme_1.theme.space.small,
    boxShadow: `inset 0px -1px 0px ${theme_1.theme.dividerColor}`,
    background: wash ? theme_1.theme.backgroundWash : undefined,
}));
function Toolbar({ children, style, wash, right, }) {
    return (react_1.default.createElement(SandyToolbarContainer, { style: style, gap: theme_1.theme.space.small, center: true, wash: wash },
        children,
        right ? (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { style: { flexGrow: 1 } }),
            right)) : null));
}
exports.Toolbar = Toolbar;
//# sourceMappingURL=Toolbar.js.map