/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { DataInspectorSetValue } from './DataInspectorNode';
import { PureComponent } from 'react';
import React from 'react';
export declare const presetColors: string[];
export declare const NullValue: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const StringValue: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const NumberValue: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const BooleanValue: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export type DataDescriptionType = 'number' | 'string' | 'boolean' | 'undefined' | 'null' | 'object' | 'array' | 'date' | 'symbol' | 'function' | 'bigint' | 'text' | 'enum' | 'color' | 'picker' | 'timeline' | 'color_lite';
type DataDescriptionProps = {
    path?: Array<string>;
    type: DataDescriptionType;
    value: any;
    extra?: any;
    setValue: DataInspectorSetValue | null | undefined;
};
type DescriptionCommitOptions = {
    value: any;
    keep: boolean;
    clear: boolean;
    set: boolean;
};
type DataDescriptionState = {
    editing: boolean;
    origValue: any;
    value: any;
};
export declare class DataDescription extends PureComponent<DataDescriptionProps, DataDescriptionState> {
    constructor(props: DataDescriptionProps, context: Object);
    commit: (opts: DescriptionCommitOptions) => void;
    _renderEditing(): JSX.Element | null;
    _hasEditUI(): boolean;
    onEditStart: () => void;
    render(): any;
}
export {};
//# sourceMappingURL=DataDescription.d.ts.map