/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { DataDescriptionType } from './DataDescription';
import { PureComponent } from 'react';
import React from 'react';
export type DataValueExtractor = (value: any, depth: number, path: string[]) => {
    mutable: boolean;
    type: DataDescriptionType;
    value: any;
    extra?: any;
} | undefined | null;
export declare const InspectorName: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export default class DataPreview extends PureComponent<{
    path: string[];
    type: string;
    value: any;
    depth: number;
    extractValue: DataValueExtractor;
    maxProperties: number;
}> {
    static defaultProps: {
        maxProperties: number;
    };
    previewSimpleValue(propValue: any): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    render(): JSX.Element | null;
}
//# sourceMappingURL=DataPreview.d.ts.map