/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React, { CSSProperties } from 'react';
import { DataTableColumn, TableRowRenderContext } from './DataTable';
import { HighlightManager } from '../Highlight';
export declare const DEFAULT_ROW_HEIGHT = 24;
type TableRowProps<T> = {
    config: TableRowRenderContext<any>;
    highlighted: boolean;
    record: T;
    itemIndex: number;
    style?: CSSProperties;
};
export declare const TableRow: React.MemoExoticComponent<(<T extends object>({ record, itemIndex, highlighted, config, }: TableRowProps<T>) => JSX.Element)>;
export declare function renderColumnValue<T extends object>(col: DataTableColumn<any>, record: T, highlighted: boolean, itemIndex: number, highlighter?: HighlightManager): any;
export {};
//# sourceMappingURL=TableRow.d.ts.map