"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElementsInspector = void 0;
const react_1 = require("react");
const elements_1 = require("./elements");
const react_2 = __importDefault(require("react"));
const Layout_1 = require("../Layout");
class ElementsInspector extends react_1.Component {
    render() {
        const { selected, focused, elements, root, onElementExpanded, onElementSelected, onElementHovered, searchResults, alternateRowColor, contextMenuExtensions, decorateRow, scrollable, } = this.props;
        const renderedElems = (react_2.default.createElement(elements_1.Elements, { onElementExpanded: onElementExpanded, onElementSelected: onElementSelected, onElementHovered: onElementHovered, selected: selected, focused: focused, searchResults: searchResults, root: root, elements: elements, alternateRowColor: alternateRowColor, contextMenuExtensions: contextMenuExtensions, decorateRow: decorateRow }));
        if (scrollable) {
            return react_2.default.createElement(Layout_1.Layout.ScrollContainer, null, renderedElems);
        }
        else {
            return renderedElems;
        }
    }
}
exports.ElementsInspector = ElementsInspector;
ElementsInspector.defaultProps = {
    alternateRowColor: true,
    scrollable: true,
};
//# sourceMappingURL=ElementsInspector.js.map