/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
export declare const theme: {
    readonly white: "white";
    readonly black: "black";
    readonly primaryColor: "var(--flipper-primary-color)";
    readonly successColor: "var(--flipper-success-color)";
    readonly errorColor: "var(--flipper-error-color)";
    readonly warningColor: "var(--flipper-warning-color)";
    readonly textColorPrimary: "var(--flipper-text-color-primary)";
    readonly textColorSecondary: "var(--flipper-text-color-secondary)";
    readonly textColorPlaceholder: "var(--flipper-text-color-placeholder)";
    readonly textColorActive: "var(--light-color-button-active)";
    readonly searchHighlightBackground: {
        readonly yellow: string;
        readonly red: string;
        readonly green: string;
        readonly blue: string;
    };
    readonly selectionBackgroundColor: "var(--flipper-primary-background-wash)";
    readonly disabledColor: "var(--flipper-disabled-color)";
    readonly backgroundDefault: "var(--flipper-background-default)";
    readonly backgroundWash: "var(--flipper-background-wash)";
    readonly buttonDefaultBackground: "var(--flipper-button-default-background)";
    readonly backgroundTransparentHover: "var(--flipper-background-transparent-hover)";
    readonly dividerColor: "var(--flipper-divider-color)";
    readonly borderColor: "var(--flipper-border-color)";
    readonly borderRadius: "var(--flipper-border-radius)";
    readonly containerBorderRadius: 8;
    readonly inlinePaddingV: 6;
    readonly inlinePaddingH: 12;
    readonly space: {
        readonly tiny: 4;
        readonly small: 8;
        readonly medium: 12;
        readonly large: 16;
        readonly huge: 24;
    };
    readonly fontSize: {
        readonly large: "16px";
        readonly default: "14px";
        readonly small: "12px";
        readonly smaller: "10px";
    };
    readonly monospace: {
        readonly fontFamily: "SF Mono,Monaco,Andale Mono,monospace";
        readonly fontSize: "12px";
    };
    readonly bold: 600;
    readonly semanticColors: {
        readonly attribute: string;
        readonly nullValue: string;
        readonly stringValue: string;
        readonly colorValue: string;
        readonly booleanValue: string;
        readonly numberValue: string;
        readonly diffAddedBackground: "var(--flipper-diff-added-background)";
        readonly diffRemovedBackground: "var(--flipper-diff-removed-background)";
    };
};
export type Spacing = keyof (typeof theme)['space'] | number | undefined | boolean;
export type PaddingProps = {
    padv?: Spacing;
    padh?: Spacing;
    pad?: Spacing;
};
export declare function normalizePadding({ padv, padh, pad, }: PaddingProps): string | undefined;
export declare function normalizeSpace(spacing: Spacing, defaultSpace: number): number;
//# sourceMappingURL=theme.d.ts.map