/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import React from 'react';
/**
 * This utility creates a fresh react render hook, which is great to render elements imperatively, like opening dialogs.
 * Make sure to call `unmount` to cleanup after the rendering becomes irrelevant
 */
export declare function renderReactRoot(handler: (unmount: () => void) => React.ReactElement): () => void;
/**
 * This is a dummy component, that just makes sure react roots are managed within a certain node in the main React tree, so that context etc is available.
 */
export declare function _PortalsManager(): JSX.Element;
//# sourceMappingURL=renderReactRoot.d.ts.map