/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
/**
 * makeShallowSerializable will prepare common data structures, like Map and Set, for JSON serialization.
 * However, this will happen only for the root object and not recursively to keep things efficiently.
 *
 * The function does not take care of actual stringification; use JSON.serialize.
 */
export declare function makeShallowSerializable(obj: any): any;
/**
 * Inverse of makeShallowSerializable
 */
export declare function deserializeShallowObject(obj: any): any;
/**
 * Asserts a value is JSON serializable.
 * Will print a warning if a value is JSON serializable, but isn't a pure tree
 */
export declare function assertSerializable(obj: any): void;
//# sourceMappingURL=shallowSerialization.d.ts.map